Can't install logstash-output-influxdb plugin

You have used this command, right?
bin/logstash-plugin install logstash-output-influxdb
Are you using proxy?
Can you copy "Some errors"

Hi @Rios
Thank you. Yes, I was using that command and proxy as well.
Also, I was trying to follow the way here to install it but still got the same error.

Here is the error message. I only got this one.
ERROR: Something went wrong when installing logstash-output-influxdb, message: execution expired

Btw, even if I tried to install other plugins, I got the same error.

Someone created a version that supports V2 over a year ago, but it has never been merged. See this issue.

Thank you.
Sorry, I thought it's better to separate the topics, so I created another one for influxdb v2 support.

Maybe it's kind of getting away from the topic here.
But that's weird. Someone tried to do that but no further update on that.
I don't know if maintainers really want to maintain the plugin or not.

So will this command check the InfluxDB version before installing plugins?

bin/logstash-plugin install logstash-output-influxdb

No, it will not.

1 Like

Thank you.

I downgraded the logstash version to 7.17 and the problem still exists...and the error message is the same.

You should install via proxy, with LS proxy configuration, or offline more. Check here.

@Rios
Thank you. But I also tried the same steps on the link you mentioned. It didn't work.
Btw, here is the information on my server.

OS:
Operating System: CentOS Linux 7 (Core)
       CPE OS Name: cpe:/o:centos:centos:7
            Kernel: Linux 3.10.0-1160.el7.x86_64
      Architecture: x86-64

Logstash:
Epoch       : 1
Version     : 7.6.2
Release     : 1
Architecture: noarch

Are these compatible?

When I used DEBUG mode, I got the same message as here: 5.1.1: Plugin installation behind Proxy - #6 by Roland_L

Looking if package named: logstash-output-influxdb exists at https://artifacts.elastic.co/downloads/logstash-plugins/logstash-output-influxdb/logstash-output-influxdb-7.6.2.zip
Net::OpenTimeout: execution expired
          initialize at org/jruby/ext/socket/RubyTCPSocket.java:144
                open at org/jruby/RubyIO.java:1158
             connect at /usr/share/logstash/vendor/jruby/lib/ruby/stdlib/net/http.rb:941
             timeout at org/jruby/ext/timeout/Timeout.java:99
             timeout at org/jruby/ext/timeout/Timeout.java:75
             connect at /usr/share/logstash/vendor/jruby/lib/ruby/stdlib/net/http.rb:939
            do_start at /usr/share/logstash/vendor/jruby/lib/ruby/stdlib/net/http.rb:924
               start at /usr/share/logstash/vendor/jruby/lib/ruby/stdlib/net/http.rb:913
               start at /usr/share/logstash/vendor/jruby/lib/ruby/stdlib/net/http.rb:609
               start at /usr/share/logstash/lib/pluginmanager/utils/http_client.rb:14
  remote_file_exist? at /usr/share/logstash/lib/pluginmanager/utils/http_client.rb:32
   get_installer_for at /usr/share/logstash/lib/pluginmanager/pack_fetch_strategy/repository.rb:32
              create at /usr/share/logstash/lib/pluginmanager/install_strategy_factory.rb:23
                each at org/jruby/RubyArray.java:1814
              create at /usr/share/logstash/lib/pluginmanager/install_strategy_factory.rb:22
             execute at /usr/share/logstash/lib/pluginmanager/install.rb:29
                 run at /usr/share/logstash/vendor/bundle/jruby/2.5.0/gems/clamp-0.6.5/lib/clamp/command.rb:67
             execute at /usr/share/logstash/vendor/bundle/jruby/2.5.0/gems/clamp-0.6.5/lib/clamp/subcommand/execution.rb:11
                 run at /usr/share/logstash/vendor/bundle/jruby/2.5.0/gems/clamp-0.6.5/lib/clamp/command.rb:67
                 run at /usr/share/logstash/vendor/bundle/jruby/2.5.0/gems/clamp-0.6.5/lib/clamp/command.rb:132
              <main> at /usr/share/logstash/lib/pluginmanager/main.rb:48

If you tried to access the link, it's not found.

https://artifacts.elastic.co/downloads/logstash-plugins/logstash-output-influxdb

I have installed without any problems on LS 8.6

Validating logstash-output-influxdb
Resolving mixin dependencies
Installing logstash-output-influxdb
Installation successful
There is an option to install from gem.
Or if is possible, just temporary open direct connection to internet.

1 Like

@Rios
Thank you for testing this. Appreciated!!
Actually, the option you mentioned I've already tried but it didn't work.
Could you share the OS you used and its version with me?

Windows, if you like I can test on Centos.

If you can do it, it will be appreciated.

The installation has been successfully completed on Centos8, direct access, no proxy.

 bin/logstash-plugin install logstash-output-influxdb
Using bundled JDK: /usr/share/logstash/jdk
Validating logstash-output-influxdb
Resolving mixin dependencies
Installing logstash-output-influxdb
Installation successful
1 Like

@Rios
Thank you so much. Thanks to you. I'm able to confirm where the problems are. I'll check on my side.

  • Plugin version: v5.0.6
  • Released on: 2021-06-07
    I could say, this is in a production for almost 2 yrs. Don't think this is a bug.
    There is few workarounds for installations, easiest way is either set proxy settings or temporarily open internet if is possible.

This topic was automatically closed 28 days after the last reply. New replies are no longer allowed.